package com.hongyegroup.cpt_parttime.bean;

import androidx.annotation.Nullable;

import com.chad.library.adapter.base.entity.node.BaseExpandNode;
import com.chad.library.adapter.base.entity.node.BaseNode;

import java.io.Serializable;
import java.util.List;

//问题节点是可展开收起的
public class PartDetailQuestion extends BaseExpandNode implements Serializable {

    public String id;
    public String question;
    public String answer;

    public List<BaseNode> childNode;  //子节点


    public PartDetailQuestion() {
        //默认不展开
        setExpanded(false);
    }

    @Nullable
    @Override
    public List<BaseNode> getChildNode() {
        return childNode;
    }

}
